Library packaging problem

Bug #93961 reported by LKRaider on 2007-03-20
4
Affects Status Importance Assigned to Milestone
cegui-mk2 (Debian)
Fix Released
Undecided
Unassigned
cegui-mk2 (Ubuntu)
Medium
Áron Sisak

Bug Description

I am facing problems when using the libcegui package, as follows:

a program relies on libCEGUIDevILImageCodec to run but can't (run), even with libcegui-mk2-0c2a installed, that's because the program tries to access libCEGUIDevILImageCodec.so on execution.

Instead, libcegui-mk2-dev is the one that contains this file, and it turns out to be just a symlink to libCEGUIDevILImageCodec.so.0.0.0 (which is on the regular package). The same happens for the other cegui inner libs, like the xml parser.

I've found another packaging of libcegui that seems to make more sense at:
http://revu.tauware.de/revu1-incoming/libcegui-0612021310/

in which it separates the various inner libs, allowing for more modularity, while not creating a -dev simply with symlinks to the regular package files (which doesn't really make sense).

Would be nice to finally have this lib working for Feisty, so please re-check the packaging of it.

Related branches

LKRaider (paul-eipper) wrote :

Confirming this as per:
http://www.debian.org/doc/debian-policy/ch-files.html#fr57

"plugins" (dlopen dynamically loaded shared objects) should be included on the main package, not on the dev one.

Changed in cegui-mk2:
status: Unconfirmed → Confirmed
Áron Sisak (asisak) on 2007-07-31
Changed in cegui-mk2:
assignee: nobody → asisak
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in cegui-mk2:
status: Unknown → New
Lucas (schnorr) wrote :

Just to confirm that this bug still exists in Ubuntu Gutsy. I installed the package libcegui-mk2-1. When I tried to use it, gdb tells me that it is trying to load a dynamic library, that is not present in the package.

To solve it, I had to install the packaged named libcegui-mk2-dev, which includes all it needs.

The dev package contains .la files that are not present in the lib package.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cegui-mk2 - 0.6.2-1ubuntu1

---------------
cegui-mk2 (0.6.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/control:
      + Added libfreeimage-dev to the build-deps
      + Disabled autotools managing; it causes a FTBFS
  * Add 09_gcc44_ftbfs.dpatch to fix FTBFS with GCC 4.4; patch taken from
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457626.
  * This also fixes LP: #93961, LP: #226868.

cegui-mk2 (0.6.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.1
  * debian/control: libcegui-mk2-1-dbg's section has been changed from libdevel
    to debug. libcegui-mk2-1's section has been removed because it was a
    duplicated field.
  * debian/patches: 06_patching_CEGUIDevILImageCodec.dpatch has been added in
    order to make CEGUI compile correctly.
  * CEGUI is now built with TinyXML. (Closes: #502477, #502478)
  * New upstream version.
  * FTBFS due to ‘ILvoid’ not declared in the scope has been fixed.
    (Closes: #525412)
  * The module loading depended on .so links, which are only found in the -dev
    package has been changed in order to make it use *.so.* directly. Thanks to
    Vincent Fourmond for providing a patch.
    (Closes: #425983, #524933)

 -- Alessio Treglia <email address hidden> Sat, 23 May 2009 09:30:20 +0200

Changed in cegui-mk2 (Ubuntu):
status: In Progress → Fix Released
Artur Rona (ari-tczew) wrote :

 cegui-mk2 (0.6.2-1) unstable; urgency=low

   * Bump Standards-Version to 3.8.1
   * debian/control: libcegui-mk2-1-dbg's section has been changed from libdevel
     to debug. libcegui-mk2-1's section has been removed because it was a
     duplicated field.
   * debian/patches: 06_patching_CEGUIDevILImageCodec.dpatch has been added in
     order to make CEGUI compile correctly.
   * CEGUI is now built with TinyXML. (Closes: #502477, #502478)
   * New upstream version.
   * FTBFS due to ‘ILvoid’ not declared in the scope has been fixed.
     (Closes: #525412)
   * The module loading depended on .so links, which are only found in the -dev
     package has been changed in order to make it use *.so.* directly. Thanks to
     Vincent Fourmond for providing a patch.
     (Closes: #425983, #524933)

 -- Muammar El Khatib <email address hidden> Thu, 09 Apr 2009 12:07:37 -0430

Changed in cegui-mk2 (Debian):
importance: Unknown → Undecided
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.